## libbytesize 2.7

=== translation-canary/Makefile ===
# This Makefile is just for running the tests

all:
	@echo "nothing to build"

check:
	PYTHONPATH=. tests/pylint/runpylint.py
	python3 -m unittest discover tests/unittests

test-projects:
	PYTHONPATH=. tests/project-tests/test_projects.sh tests/project-tests/project_list.txt

ci:
	$(MAKE) check

## libbytesize 1.2

=== debian/changelog ===
libbytesize (1.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing python3-six Depends to python3-bytesize (Closes: #896258)
  * Add missing debian/source/format using "3.0 (quilt)"

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Apr 2018 08:51:33 +0200

libbytesize (1.2-2) unstable; urgency=medium

  * Update Vcs-* for the move to salsa.debian.org
  * Bump Standards-Version to 4.1.3. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Mar 2018 23:37:59 +0200

libbytesize (1.2-1) unstable; urgency=medium

  * Team upload

  [ Andreas Henriksson ]
  * Remove myself from uploaders

  [ Michael Biebl ]
  * Fix watch file
  * New upstream version 1.2
  * Use dh_missing --fail-missing instead of dh_install --fail-missing
  * Update Homepage URL
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 12:29:44 +0100

libbytesize (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #864815)

 -- Martin Pitt <mpitt@debian.org>  Sun, 18 Jun 2017 21:42:55 +0200

=== debian/control ===
Source: libbytesize
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 10.3),
               dh-python,
               python3:any,
               libpcre3-dev (>= 8.32),
               libgmp-dev,
               libmpfr-dev,
               gettext,
               libpython3-dev,
               libglib2.0-dev,
               gtk-doc-tools
Standards-Version: 4.1.3
Homepage: https://github.com/storaged-project/libbytesize
Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize.git

Package: libbytesize1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for common operations with sizes in bytes
 Many projects need to work with sizes in bytes (be it sizes of storage
 space, memory,...) and all of them need to deal with the same issues
 like:
 .
  * How to get a human-readable string for the given size?
  * How to store the given size so that no significant information is lost?
  * If we store the size in bytes, what if the given size gets over the
    MAXUINT64 value?  How to interpret sizes entered by users according
    to their locale and typing conventions?
  * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
  .
  This library aims to be as much generally usable as possible, small, fast and
  be easily interfaced from other languages.

Package: libbytesize-dev
Section: libdevel
Architecture: any
Depends: libbytesize1 (= ${binary:Version}), ${misc:Depends}
Description: library for common operations with sizes in bytes - development
 This package ships the header pkg-config files needed for building things
 against the libbytesize library.

Package: python3-bytesize
Section: python
Architecture: any
Depends: libbytesize1 (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-six
Description: Python 3 bindings for libbytesize
 Many projects need to work with sizes in bytes (be it sizes of storage
 space, memory,...) and all of them need to deal with the same issues
 like:
 .
  * How to get a human-readable string for the given size?
  * How to store the given size so that no significant information is lost?
  * If we store the size in bytes, what if the given size gets over the
    MAXUINT64 value?  How to interpret sizes entered by users according
    to their locale and typing conventions?
  * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
  .
  This library aims to be as much generally usable as possible, small, fast and
  be easily interfaced from other languages.
  .
  This package contains bindings for libbytesize in Python3.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_test:

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	rm -rf debian/tmp/usr/lib/python2.7/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## libbytesize 1.4

=== debian/changelog ===
libbytesize (1.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4
  * Bump Standards-Version to 4.2.0
  * Explicitly enable Python3 support and disable Python2 support.
    We are only providing a python3 package and by not enabling Python2
    support in the first place, we don't have to manually remove any related
    files later on.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Aug 2018 18:56:45 +0200

libbytesize (1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.3
  * Bump Standards-Version to 4.1.5

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Jul 2018 22:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libpython3-dev,
                libglib2.0-dev,
                gtk-doc-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize.git

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,15 @@
 %:
 	dh $@ --with python3
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		--with-python3 \
+		--without-python2
+
 override_dh_auto_test:
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	rm -rf debian/tmp/usr/lib/python2.7/
 	dh_install
 
 override_dh_missing:

## libbytesize 2.1

=== debian/changelog ===
libbytesize (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1
  * Drop obsolete --without-python2 configure flag.
    Python2 support has been removed upstream.
  * Disable tools via --withouth-tools configure switch
    bscalc is a simple bytesize calculator tool which was introduced in
    version 2.0. We don't really need it at this point so avoid the need for
    a new binary package by disabling it.
  * Fix formatting of package description
  * Mark libbytesize1 and libbytesize-dev as Multi-Arch: same
  * Switch from PCRE to PCRE2
  * Bump debhelper compat level to 12.
    Use new debhelper-compat syntax and drop debian/compat.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jul 2019 12:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3:any,
-               libpcre3-dev (>= 8.32),
+               libpcre2-dev,
                libgmp-dev,
                libmpfr-dev,
                gettext,
@@ -21,6 +21,7 @@
 Package: libbytesize1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for common operations with sizes in bytes
  Many projects need to work with sizes in bytes (be it sizes of storage
@@ -33,13 +34,14 @@
     MAXUINT64 value?  How to interpret sizes entered by users according
     to their locale and typing conventions?
   * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
-  .
-  This library aims to be as much generally usable as possible, small, fast and
-  be easily interfaced from other languages.
+ .
+ This library aims to be as much generally usable as possible, small, fast and
+ be easily interfaced from other languages.
 
 Package: libbytesize-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libbytesize1 (= ${binary:Version}), ${misc:Depends}
 Description: library for common operations with sizes in bytes - development
  This package ships the header pkg-config files needed for building things
@@ -64,8 +66,8 @@
     MAXUINT64 value?  How to interpret sizes entered by users according
     to their locale and typing conventions?
   * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
-  .
-  This library aims to be as much generally usable as possible, small, fast and
-  be easily interfaced from other languages.
-  .
-  This package contains bindings for libbytesize in Python3.
+ .
+ This library aims to be as much generally usable as possible, small, fast and
+ be easily interfaced from other languages.
+ .
+ This package contains bindings for libbytesize in Python3.

## libbytesize 2.2

=== debian/changelog ===
libbytesize (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2
  * Bump Standards-Version to 4.5.0

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Feb 2020 15:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libpython3-dev,
                libglib2.0-dev,
                gtk-doc-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize.git

## libbytesize 2.4

=== debian/changelog ===
libbytesize (2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.4
  * Bump debhelper-compat to 13

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Aug 2020 09:16:12 +0200

libbytesize (2.3-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Jun 2020 00:37:09 +0200

libbytesize (2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.3
  * Ship translations in a new package libbytesize-common

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2020 17:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3:any,
                libpcre2-dev,
@@ -22,7 +22,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libbytesize-common (= ${source:Version})
 Description: library for common operations with sizes in bytes
  Many projects need to work with sizes in bytes (be it sizes of storage
  space, memory,...) and all of them need to deal with the same issues
@@ -38,11 +40,21 @@
  This library aims to be as much generally usable as possible, small, fast and
  be easily interfaced from other languages.
 
+Package: libbytesize-common
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: library for common operations with sizes in bytes - translations
+ This package contains localization files used by libbytesize.
+
 Package: libbytesize-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbytesize1 (= ${binary:Version}), ${misc:Depends}
+Depends: libbytesize1 (= ${binary:Version}),
+         ${misc:Depends}
 Description: library for common operations with sizes in bytes - development
  This package ships the header pkg-config files needed for building things
  against the libbytesize library.

## libbytesize 2.5

=== debian/changelog ===
libbytesize (2.5-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:37 +0000

libbytesize (2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.5
  * Bump Standards-Version to 4.5.1
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Update Source URL in debian/copyright

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Feb 2021 18:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libbytesize
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -13,7 +14,7 @@
                libpython3-dev,
                libglib2.0-dev,
                gtk-doc-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize.git

## libbytesize 2.6

=== debian/changelog ===
libbytesize (2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.6

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 12:58:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-python3 \
-		--without-python2
+		--without-tools
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libbytesize-$1\.tar\.gz/ \
  https://github.com/storaged-project/libbytesize/tags .*/(\d\S+)\.tar\.gz

## libbytesize 2.7

=== debian/changelog ===
libbytesize (2.7-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.
  * Remove Section on libbytesize1, Section on libbytesize-common that
    duplicate source.

  [ Michael Biebl ]
  * New upstream version 2.7
  * Bump Standards-Version to 4.6.1
  * Drop no longer needed override for dh_missing.
    In compat 13 and later, --fail-missing is the default.
  * Use execute_before instead of override for dh_install
  * Revert "Do not use distutils to get Python library path"
    Otherwise the library path is not set properly with Python 3.10 on Debian.
  * Add a symbols file for libbytesize1
  * Tweak long package description a bit to please lintian

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2022 12:53:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libbytesize
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,13 +13,12 @@
                libpython3-dev,
                libglib2.0-dev,
                gtk-doc-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize
 
 Package: libbytesize1
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -33,9 +31,9 @@
  .
   * How to get a human-readable string for the given size?
   * How to store the given size so that no significant information is lost?
-  * If we store the size in bytes, what if the given size gets over the
-    MAXUINT64 value?  How to interpret sizes entered by users according
-    to their locale and typing conventions?
+  * How to handle sizes bigger than MAXUINT64?
+  * How to interpret sizes entered by users according to their locale and
+    typing conventions?
   * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
  .
  This library aims to be as much generally usable as possible, small, fast and
@@ -44,7 +42,6 @@
 Package: libbytesize-common
 Architecture: all
 Multi-Arch: foreign
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: library for common operations with sizes in bytes - translations
@@ -75,9 +72,9 @@
  .
   * How to get a human-readable string for the given size?
   * How to store the given size so that no significant information is lost?
-  * If we store the size in bytes, what if the given size gets over the
-    MAXUINT64 value?  How to interpret sizes entered by users according
-    to their locale and typing conventions?
+  * How to handle sizes bigger than MAXUINT64?
+  * How to interpret sizes entered by users according to their locale and
+    typing conventions?
   * How to deal with the decimal/binary units (MB vs. MiB) ambiguity?
  .
  This library aims to be as much generally usable as possible, small, fast and

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,5 @@
 
 override_dh_auto_test:
 
-override_dh_install:
+execute_before_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
-

## libbytesize 2.9

=== debian/changelog ===
libbytesize (2.9-1ubuntu2) mantic; urgency=medium

  * Fix the autopkgtest to not rely on a file generated by the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jul 2023 23:36:37 +0200

libbytesize (2.9-1ubuntu1) mantic; urgency=medium

  * debian/control, debian/rules, debian/tests:
    - enable upstream tests during the build and ask autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jul 2023 16:23:50 +0200

libbytesize (2.9-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.9

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jul 2023 00:40:56 +0200

libbytesize (2.8-2) unstable; urgency=medium

  * Team upload
  * Use DEB_PYTHON_INSTALL_LAYOUT="deb" to get the correct Python library
    path.
    Instead of reverting back to distutils, set
    DEB_PYTHON_INSTALL_LAYOUT="deb" in debian/rules to get the correct
    sysconfig scheme on Debian.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Jun 2023 02:37:48 +0200

libbytesize (2.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.8
  * Use dh-sequence-python3 Build-Depends to enable the python3 addon
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Jun 2023 19:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libbytesize
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3:any,
                libpcre2-dev,
                libgmp-dev,
@@ -12,8 +13,13 @@
                gettext,
                libpython3-dev,
                libglib2.0-dev,
-               gtk-doc-tools
-Standards-Version: 4.6.1
+               gtk-doc-tools,
+               python3-six <!nocheck>,
+               locales <!nocheck> | locales-all <!nocheck>,
+               language-pack-gnome-cs-base,
+               language-pack-gnome-en-base,
+               language-pack-gnome-fr-base,
+Standards-Version: 4.6.2
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize

## libbytesize 2.10

=== debian/changelog ===
libbytesize (2.10-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:01:54 +0200

libbytesize (2.10-1ubuntu1) noble; urgency=medium

  * Resynchronize on Debian, remaining changes
    debian/control, debian/rules, debian/tests:
    - enable upstream tests during the build and ask autopkgtests

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Nov 2023 16:38:29 +0200

libbytesize (2.10-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * Set 'Rules-Requires-Root: no' and add whitespaces to descriptions

  [ Michael Biebl ]
  * New upstream version 2.10
  * Request standard CI on salsa.debian.org

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Oct 2023 19:35:50 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize
+Rules-Requires-Root: no
 
 Package: libbytesize1
 Architecture: any
@@ -32,7 +33,7 @@
          libbytesize-common (= ${source:Version})
 Description: library for common operations with sizes in bytes
  Many projects need to work with sizes in bytes (be it sizes of storage
- space, memory,...) and all of them need to deal with the same issues
+ space, memory, ...) and all of them need to deal with the same issues
  like:
  .
   * How to get a human-readable string for the given size?
@@ -73,7 +74,7 @@
          python3-six
 Description: Python 3 bindings for libbytesize
  Many projects need to work with sizes in bytes (be it sizes of storage
- space, memory,...) and all of them need to deal with the same issues
+ space, memory, ...) and all of them need to deal with the same issues
  like:
  .
   * How to get a human-readable string for the given size?

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_PYTHON_INSTALL_LAYOUT = deb

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-python3 \
		--without-tools

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C LANG= LANGUAGE= PYTHONPATH=src/python/ LD_LIBRARY_PATH=src/.libs/ ./tests/libbytesize_unittest.sh
endif

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

=== debian/tests/control ===
Test-Command: python3 ./tests/libbytesize_unittest.py; python3 ./tests/libbytesize_unittest.py fr_FR.UTF-8; python3 ./tests/lbs_py_override_unittest.py
Depends: @, python3-six, language-pack-gnome-cs-base, language-pack-gnome-en-base, language-pack-gnome-fr-base
Restrictions: allow-stderr

## libbytesize 2.11

=== debian/changelog ===
libbytesize (2.11-3) unstable; urgency=medium

  * Team upload
  * Rename debian-branch to debian/latest as per DEP-14
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 20:18:24 +0200

libbytesize (2.11-2) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * enable upstream tests during the build and as autopkgtests

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Feb 2025 13:24:38 +0100

libbytesize (2.11-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.11

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Aug 2024 19:55:03 +0200

libbytesize (2.10-2) unstable; urgency=medium

  * Team upload
  * Drop extraneous dependency on python3-six from python3-bytesize.
    No longer needed since 2.10. (Closes: #1069013)
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Apr 2024 12:42:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libbytesize
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -14,12 +13,8 @@
                libpython3-dev,
                libglib2.0-dev,
                gtk-doc-tools,
-               python3-six <!nocheck>,
-               locales <!nocheck> | locales-all <!nocheck>,
-               language-pack-gnome-cs-base,
-               language-pack-gnome-en-base,
-               language-pack-gnome-fr-base,
-Standards-Version: 4.6.2
+               locales-all <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize
@@ -71,7 +66,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-six
 Description: Python 3 bindings for libbytesize
  Many projects need to work with sizes in bytes (be it sizes of storage
  space, memory, ...) and all of them need to deal with the same issues

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	LC_ALL=C LANG= LANGUAGE= PYTHONPATH=src/python/ LD_LIBRARY_PATH=src/.libs/ ./tests/libbytesize_unittest.sh
+	PYTHONPATH=src/python/ LD_LIBRARY_PATH=src/.libs/ ./tests/libbytesize_unittest.sh
 endif
 
 execute_before_dh_install:

=== debian/tests/control ===
Tests: unittests
Depends: @, locales-all
Restrictions: allow-stderr

## libbytesize 2.12

=== debian/changelog ===
libbytesize (2.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.12
  * Drop Rules-Requires-Root: no.
    No longer necessary as "no" is now the default.
  * Update debian/copyright.
    Remove reference to the old FSF postal address and refer to
    https://www.gnu.org/licenses/ instead.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Dec 2025 17:45:56 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://github.com/storaged-project/libbytesize
 Vcs-Git: https://salsa.debian.org/utopia-team/libbytesize.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/libbytesize
-Rules-Requires-Root: no
 
 Package: libbytesize1
 Architecture: any
